WLRmic (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.rmic, class: WLRmic

Package org.apache.tools.ant.taskdefs.rmic

# Class WLRmic

java.lang.Object
org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
org.apache.tools.ant.taskdefs.rmic.WLRmic

All Implemented Interfaces:
  `RmicAdapter`

public class WLRmic extends DefaultRmicAdapter
The implementation of the rmic for WebLogic

Since:
  Ant 1.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMPILER_NAME`
  the name of this adapter for users to select
  `static final String`
  `ERROR_NO_WLRMIC_ON_CLASSPATH`
  The error string to use if not able to find the weblogic rmic
  `static final String`
  `ERROR_WLRMIC_FAILED`
  The error string to use if not able to start the weblogic rmic
  `static final String`
  `UNSUPPORTED_STUB_OPTION`
  unsupported error message
  `static final String`
  `WL_RMI_SKEL_SUFFIX`
  The skeleton suffix
  `static final String`
  `WL_RMI_STUB_SUFFIX`
  The stub suffix
  `static final String`
  `WLRMIC_CLASSNAME`
  The classname of the weblogic rmic

  ### Fields inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

  `RMI_SKEL_SUFFIX, RMI_STUB_SUFFIX, RMI_TIE_SUFFIX, STUB_1_1, STUB_1_2, STUB_COMPAT, STUB_OPTION_1_1, STUB_OPTION_1_2, STUB_OPTION_COMPAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WLRmic()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `addStubVersionOptions()`
  This is an override point; no stub version is returned.
  `protected boolean`
  `areIiopAndIdlSupported()`
  Whether the iiop and idl switches are supported.
  `boolean`
  `execute()`
  Carry out the rmic compilation.
  `String`
  `getSkelClassSuffix()`
  Get the suffix for the rmic skeleton classes
  `String`
  `getStubClassSuffix()`
  Get the suffix for the rmic stub classes
  `protected String[]`
  `preprocessCompilerArgs(String[] compilerArgs)`
  Strip out all -J args from the command list.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

  `filterJvmCompilerArgs, getClasspath, getCompileClasspath, getMapper, getRmic, getTieClassSuffix, logAndAddFilesToCompile, setRmic, setupRmicCommand, setupRmicCommand`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WLRMIC_CLASSNAME

    public static final String WLRMIC_CLASSNAME
    The classname of the weblogic rmic
    See Also:
      - Constant Field Values

  - ### COMPILER_NAME

    public static final String COMPILER_NAME
    the name of this adapter for users to select
    See Also:
      - Constant Field Values

  - ### ERROR_NO_WLRMIC_ON_CLASSPATH

    public static final String ERROR_NO_WLRMIC_ON_CLASSPATH
    The error string to use if not able to find the weblogic rmic
    See Also:
      - Constant Field Values

  - ### ERROR_WLRMIC_FAILED

    public static final String ERROR_WLRMIC_FAILED
    The error string to use if not able to start the weblogic rmic
    See Also:
      - Constant Field Values

  - ### WL_RMI_STUB_SUFFIX

    public static final String WL_RMI_STUB_SUFFIX
    The stub suffix
    See Also:
      - Constant Field Values

  - ### WL_RMI_SKEL_SUFFIX

    public static final String WL_RMI_SKEL_SUFFIX
    The skeleton suffix
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_STUB_OPTION

    public static final String UNSUPPORTED_STUB_OPTION
    unsupported error message
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WLRmic

    public WLRmic()

- ## Method Details

  - ### areIiopAndIdlSupported

    protected boolean areIiopAndIdlSupported()
    Description copied from class: `DefaultRmicAdapter`
    Whether the iiop and idl switches are supported.

    This implementation returns false if running on Java 11 onwards and true otherwise.

    Overrides:
      `areIiopAndIdlSupported` in class `DefaultRmicAdapter`
    Returns:
      true if the iiop and idl switches are supported
    Since:
      Ant 1.10.3

  - ### execute

    public boolean execute() throws BuildException
    Carry out the rmic compilation.
    Returns:
      true if the compilation succeeded
    Throws:
      `BuildException` - on error

  - ### getStubClassSuffix

    public String getStubClassSuffix()
    Get the suffix for the rmic stub classes
    Overrides:
      `getStubClassSuffix` in class `DefaultRmicAdapter`
    Returns:
      the stub suffix

  - ### getSkelClassSuffix

    public String getSkelClassSuffix()
    Get the suffix for the rmic skeleton classes
    Overrides:
      `getSkelClassSuffix` in class `DefaultRmicAdapter`
    Returns:
      the skeleton suffix

  - ### preprocessCompilerArgs

    protected String[] preprocessCompilerArgs(String[] compilerArgs)
    Strip out all -J args from the command list.
    Overrides:
      `preprocessCompilerArgs` in class `DefaultRmicAdapter`
    Parameters:
      `compilerArgs` - the original compiler arguments
    Returns:
      the filtered set.

  - ### addStubVersionOptions

    protected String addStubVersionOptions()
    This is an override point; no stub version is returned. If any stub option is set, a warning is printed.
    Overrides:
      `addStubVersionOptions` in class `DefaultRmicAdapter`
    Returns:
      null, for no stub version